import type { TestInfo } from 'playwright/types/test';
import type { Page } from 'playwright-core';
import type { AxeResults } from 'axe-core';
/**
 * Test the accessibility of a page, generate a HTML report and attach
 *
 * @param page - The Page object for the test
 * @param testInfo - The testInfo object
 * @param results - AxeBuilder Results if tested outside the method
 *
 * @returns void
 */
export declare function assertPageIsAccessible(page: Page, testInfo: TestInfo, results: AxeResults): Promise<void>;
