import { expect } from '@playwright/test';
/**
 * Creates a test for a KE Search Page
 *
 * @param page - The Page object for the test
 * @param searchWords - The words to be entered into the search box to get results
 * @param path - The URL path to get to the search page
 *
 * @returns void
 */
export async function keSearchReturnsResults(page, searchWords = '', path = '/search/') {
    await page.goto(path);
    await page.locator('#ke_search_sword').fill(searchWords);
    await page.getByRole('button', { name: 'Find' }).click();
    await expect(page.locator('.result').first()).toBeVisible();
}
//# sourceMappingURL=search.spec.js.map