import { parse } from 'yaml';
import fs from 'fs';
export default function (siteName, testDir, config, inputDevices) {
    const yaml = parse(fs.readFileSync(`./config/sites/${siteName}/config.yaml`, 'utf8'));
    const project = {
        label: yaml.websiteTitle,
        envs: {
            production: yaml.base
        }
    };
    if (testDir) {
        project.project = {
            testDir,
        };
    }
    if (config) {
        project.project = {
            ...project.project,
            ...config
        };
    }
    if (inputDevices) {
        project.devices = inputDevices;
    }
    for (const variant of yaml.baseVariants) {
        const matches = variant.condition.match(/"(.*?)"/);
        let env = (matches ? matches[1] : false);
        if (env) {
            env = env.split('/');
            env = env.length > 1 ? env[1] : env[0];
            env = env.toLowerCase();
            project.envs[env] = variant.base;
        }
    }
    return project;
}
//# sourceMappingURL=typo3.js.map